Package tigase.auth

## Class SaslInvalidLoginExcepion

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.security.sasl.SaslException
        - - tigase.auth.XmppSaslException
          - - tigase.auth.SaslInvalidLoginExcepion

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SaslInvalidLoginExcepion
      extends XmppSaslException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.auth.XmppSaslException

      `XmppSaslException.SaslError`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaslInvalidLoginExcepion​(XmppSaslException.SaslError saslError, java.lang.String jid)` |
    `SaslInvalidLoginExcepion​(XmppSaslException.SaslError saslError, java.lang.String jid, java.lang.String detail)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getJid()` |

    - ### Methods inherited from class tigase.auth.XmppSaslException

      `getExceptionFor, getSaslError, getSaslErrorElementName`

    - ### Methods inherited from class javax.security.sasl.SaslException

      `getCause, initCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SaslInvalidLoginExcepion

          public SaslInvalidLoginExcepion​(XmppSaslException.SaslError saslError,
                                          java.lang.String jid)

    - #### SaslInvalidLoginExcepion

          public SaslInvalidLoginExcepion​(XmppSaslException.SaslError saslError,
                                          java.lang.String jid,
                                          java.lang.String detail)

  - ### Method Detail

    - #### getJid

          public java.lang.String getJid()